import { IProduct, ISaleChannel } from '@orderingstack/ordering-types';
import { ConfigType } from 'dayjs';

export declare const getHourAndMinutes: (text: string) => {
    hour: number;
    minutes: number;
};
export declare function isProductAvailable(item: IProduct, timeZone: string | undefined, dueTime: ConfigType): boolean;
export declare const filterTimeAvailabilityOfItems: (items: IProduct[], timeZone?: string | undefined, dueTime?: ConfigType, markOnly?: boolean) => IProduct[];
export declare const filterTimeAvailabilityOfProducts: (products: IProduct[], timeZone?: string | undefined, dueTime?: ConfigType, markOnly?: boolean) => IProduct[];
export declare function isChannelOpen(channel: ISaleChannel | undefined, timezone?: string | undefined): boolean;
//# sourceMappingURL=timeAvailabilityFilter.d.ts.map