export declare const tailwind: {
    mode: string;
    content: string[];
    theme: {
        extend: {
            fontFamily: {
                upper: string[];
            };
            colors: {
                primary: {
                    light: string;
                    DEFAULT: string;
                    dark: string;
                };
                secondary: {
                    DEFAULT: string;
                };
                fontColor: {
                    DEFAULT: string;
                    btnPrimary: string;
                    btnSecondary: string;
                    btnDisabled: string;
                };
                bgColor: {
                    DEFAULT: string;
                    btnPrimary: string;
                    btnSecondary: string;
                    btnDisabled: string;
                };
                facebook: {
                    light: string;
                    DEFAULT: string;
                    dark: string;
                };
                red: {
                    light: string;
                    DEFAULT: string;
                };
                black: string;
                greys: {
                    light: string;
                    DEFAULT: string;
                };
            };
            backgroundImage: {
                'tenant-pattern': string;
            };
        };
    };
    safelist: string[];
    plugins: any[];
};
//# sourceMappingURL=tailwind.d.ts.map